# H501_Role Class Reference

`#include <h501.h>`

List of all members.

## Public Types

enum | Choices { e_originator, e_destination, e_nonStandardData }

## Public Member Functions

| H501_Role (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H225_NonStandardParameter & ()
| operator const H225_NonStandardParameter & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H501_Role::Choices

Enumerator:

  e_originator |
  e_destination |
  e_nonStandardData |

## Constructor & Destructor Documentation

H501_Role::H501_Role | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H501_Role::operator H225_NonStandardParameter & | ( |  | ) |

H501_Role::operator const H225_NonStandardParameter & | ( |  | ) | const

PBoolean H501_Role::CreateObject | ( |  | ) |

PObject* H501_Role::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h501.h